Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.sac
Class AbstractCombinatorCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractCombinatorCondition

All Implemented Interfaces:
  ExtendedCondition, org.w3c.css.sac.CombinatorCondition, org.w3c.css.sac.Condition

Direct Known Subclasses:
  CSSAndCondition

    public abstract class AbstractCombinatorCondition

extends Object
implements org.w3c.css.sac.CombinatorCondition, ExtendedCondition

This class provides an abstract implementation of the `CombinatorCondition` interface.

Field Summary
`protected org.w3c.css.sac.Condition` | `firstCondition` The first condition.
`protected org.w3c.css.sac.Condition` | `secondCondition` The second condition.

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`protected` | `AbstractCombinatorCondition(org.w3c.css.sac.Condition c1, org.w3c.css.sac.Condition c2)` Creates a new CombinatorCondition object.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`org.w3c.css.sac.Condition` | `getFirstCondition()` SAC: Implements `CombinatorCondition.getFirstCondition()`.
`org.w3c.css.sac.Condition` | `getSecondCondition()` SAC: Implements `CombinatorCondition.getSecondCondition()`.
`int` | `getSpecificity()` Returns the specificity of this condition.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.sac.ExtendedCondition
`fillAttributeSet, match`

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Field Detail

### firstCondition

    protected org.w3c.css.sac.Condition firstCondition

  The first condition.

### secondCondition

    protected org.w3c.css.sac.Condition secondCondition

  The second condition.

Constructor Detail

### AbstractCombinatorCondition

    protected AbstractCombinatorCondition(org.w3c.css.sac.Condition c1,
                                          org.w3c.css.sac.Condition c2)

  Creates a new CombinatorCondition object.

Method Detail

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this condition.

  Specified by:
    `getSpecificity` in interface `ExtendedCondition`

### getFirstCondition

    public org.w3c.css.sac.Condition getFirstCondition()

  SAC: Implements `CombinatorCondition.getFirstCondition()`.

  Specified by:
    `getFirstCondition` in interface `org.w3c.css.sac.CombinatorCondition`

### getSecondCondition

    public org.w3c.css.sac.Condition getSecondCondition()

  SAC: Implements `CombinatorCondition.getSecondCondition()`.

  Specified by:
    `getSecondCondition` in interface `org.w3c.css.sac.CombinatorCondition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.